// =============================================================================
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
//
// Copyright (C) 2020-2021 - Stephane MOTTELET
//
// This file is hereby licensed under the terms of the GNU GPL v2.0,
// For more information, see the COPYING file which you should have received
//
// Sci-IPopt toolbox
//
// This scripts updates the Intel Fortran runtime to the latest version (2020)
// in Scilab bin folder (needed for Scilab 6.1 Windows version)

if getos() == 'Windows' then
    path = atomsGetInstalledPath('sci_ipopt');
    if isempty(path)
        mprintf("\nError: cannot determine sci_ipopt path.\n")
    else
        cmd = ["@ECHO OFF"
               ":LOOP"
               "tasklist | find /i ""WScilex"" >nul 2>&1"
               "IF ERRORLEVEL 1 ("
               "GOTO COPY"
               ") ELSE ("
               "ECHO Waiting for Scilab to exit"
               "Timeout /T 5 /Nobreak"
               "GOTO LOOP"
               ")"
               ":COPY"
               msprintf("copy %s %s\n",fullpath(fullfile(path,'thirdparty','Windows','bin','libifcoremd.dll')),fullpath(fullfile(SCI,'bin','libifcoremd.dll')))
               "echo libifcoremd.dll has been successfully copied, press any key to exit"
               "pause>nul"
               "exit"];
        cmdFile = TMPDIR+"\windows_ifort_fix.bat";
        mputl(cmd,cmdFile)
        dos(msprintf("start /B %s &",cmdFile))
        quit
    end
end


